Page MenuHomePhabricator

Add punjabi.wikimedia.org to DNS and Apache
Closed, ResolvedPublic

Description

punjabi.wikimedia.org is a location of new (fishbowl) wiki.

<snip> (from parent task discussion)

pa.wikimedia.org (lang code for Punjabi, can be used for Panama as well)
pbi.wikimedia.org (self-created code, which should be avoided because it is not standard and systematic)
pan.wikimedia.org (can be interpreted as Eastern Punjab)
punjabi.wikimedia.org (no conflicts)

</snip>

Event Timeline

Restricted Application added projects: Operations, Traffic. · View Herald TranscriptOct 21 2018, 11:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 468812 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Add punjabiwikimedia

https://gerrit.wikimedia.org/r/468812

Urbanecm renamed this task from Add punjabi.wikimedia.org to DNS to Add punjabi.wikimedia.org to DNS and Apache.Oct 21 2018, 11:46 AM

Change 468814 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/puppet@production] Add punjabi.wikimedia.org to Apache

https://gerrit.wikimedia.org/r/468814

ema moved this task from Triage to DNS Names on the Traffic board.Oct 22 2018, 8:28 AM
Dzahn added a comment.Oct 22 2018, 9:24 PM

You had this nice comparison of the different options "pnb, pni, punjabi?" somewhere that explained why this is probably the best option and we are not using ISO codes. Can you add this here?

Krenair added a subscriber: Krenair.EditedOct 22 2018, 9:32 PM

It's the Sat, Oct 20, 16:58 UTC comment in the parent task

Dzahn triaged this task as Medium priority.Oct 22 2018, 9:34 PM
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)

Change 468812 merged by Dzahn:
[operations/dns@master] Add punjabiwikimedia

https://gerrit.wikimedia.org/r/468812

Dzahn added a comment.Oct 22 2018, 9:38 PM

thanks! edited ticket description, added comment on Gerrit, deployed, added to DNS

Dzahn claimed this task.Oct 22 2018, 9:39 PM

Change 468814 merged by Dzahn:
[operations/puppet@production] Add punjabi.wikimedia.org to Apache

https://gerrit.wikimedia.org/r/468814

Mentioned in SAL (#wikimedia-operations) [2018-10-22T21:44:32Z] <mutante> adding new prod ServerAlias punjabi.wikimedia.org to Apache cluster (T207583)

Dzahn closed this task as Resolved.Oct 22 2018, 9:50 PM

deployed on mwdebug1001.. puppet will deploy it on all others within 30 min or so. done!